import { Store, Item } from '@tktr/core';
import { Stripe } from 'stripe';

type HandlerConfig<TStore extends Store, TItem extends Item, TStripe extends Stripe> = {
    stripe: TStripe;
    store: TStore;
    items: TItem[];
};
declare function createTKTRStripeHandler<TStore extends Store, TItem extends Item, TStripe extends Stripe>({ stripe, store, items }: HandlerConfig<TStore, TItem, TStripe>): Promise<(request: Request) => Promise<Response>>;

export { createTKTRStripeHandler };
